Loading...
Searching...
No Matches
dict.h File Reference
SPA » Utilities » Dictionary

spa/utils/dict.h More...

Go to the source code of this file.

## Data Structures

struct | spa_dict_item
struct | spa_dict

## Macros

#define | SPA_API_DICT static inline
#define | SPA_DICT_ITEM(key, value)
#define | SPA_DICT_ITEM_INIT(key, value)
#define | SPA_DICT_FLAG_SORTED (1<<0)
| items are sorted
#define | SPA_DICT(items, n_items)
#define | SPA_DICT_ARRAY(items)
#define | SPA_DICT_ITEMS(...)
#define | SPA_DICT_INIT(items, n_items)
#define | SPA_DICT_INIT_ARRAY(items)
#define | spa_dict_for_each(item, dict)

## Functions

SPA_API_DICT int | spa_dict_item_compare (const void *i1, const void *i2)
SPA_API_DICT void | spa_dict_qsort (struct spa_dict *dict)
SPA_API_DICT const struct spa_dict_item * | spa_dict_lookup_item (const struct spa_dict *dict, const char *key)
SPA_API_DICT const char * | spa_dict_lookup (const struct spa_dict *dict, const char *key)

## Detailed Description

spa/utils/dict.h

## Macro Definition Documentation

## SPA_API_DICT

#define SPA_API_DICT static inline